[SSA:2024-114-01] ruby

Affected Packages 4
CVEs 3

New ruby packages are available for Slackware 15.0 and -current to
fix security issues.

Here are the details from the Slackware 15.0 ChangeLog

patches/packages/ruby-3.0.7-i586-1_slack15.0.txz: Upgraded.
This update fixes security issues:
Arbitrary memory address read vulnerability with Regex search.
RCE vulnerability with .rdoc_options in RDoc.
Buffer overread vulnerability in StringIO.
For more information, see:
https://www.ruby-lang.org/en/news/2024/04/23/arbitrary-memory-address-read-regexp-cve-2024-27282/
https://www.ruby-lang.org/en/news/2024/03/21/rce-rdoc-cve-2024-27281/
https://www.ruby-lang.org/en/news/2024/03/21/buffer-overread-cve-2024-27280/
https://www.cve.org/CVERecord?id=CVE-2024-27282
https://www.cve.org/CVERecord?id=CVE-2024-27281
https://www.cve.org/CVERecord?id=CVE-2024-27280
(* Security fix *)

Where to find the new packages

Thanks to the friendly folks at the OSU Open Source Lab
(http://osuosl.org) for donating FTP and rsync hosting
to the Slackware project! :-)

Also see the "Get Slack" section on http://slackware.com for
additional mirror sites near you.

Updated package for Slackware 15.0:
ftp://ftp.slackware.com/pub/slackware/slackware-15.0/patches/packages/ruby-3.0.7-i586-1_slack15.0.txz

Updated package for Slackware x86_64 15.0:
ftp://ftp.slackware.com/pub/slackware/slackware64-15.0/patches/packages/ruby-3.0.7-x86_64-1_slack15.0.txz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/d/ruby-3.3.1-i586-1.txz

Updated package for Slackware x86_64 -current:
ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/d/ruby-3.3.1-x86_64-1.txz

MD5 signatures

Slackware 15.0 package:
499174156baaa426ad71cbd34fdf7fd0 ruby-3.0.7-i586-1_slack15.0.txz

Slackware x86_64 15.0 package:
978395a7eccefb9f956beb3bd35944e8 ruby-3.0.7-x86_64-1_slack15.0.txz

Slackware -current package:
a235c65ee15b71aa96b1759ee081d4c4 d/ruby-3.3.1-i586-1.txz

Slackware x86_64 -current package:
01a7ba4fe0a608de700296a506f559f0 d/ruby-3.3.1-x86_64-1.txz

Installation instructions

Upgrade the package as root:
# upgradepkg ruby-3.0.7-i586-1_slack15.0.txz

Type Package URL Namespace Name / Product Version Distribution / Platform Arch Patch / Fix
Affected pkg:slackbuild/slackware/ruby?arch=x86_64&distro=slackware64-current slackware ruby < 3.3.1 slackware64-current x86_64
Affected pkg:slackbuild/slackware/ruby?arch=x86_64&distro=slackware64-15.0 slackware ruby < 3.0.7 slackware64-15.0 x86_64
Affected pkg:slackbuild/slackware/ruby?arch=i586&distro=slackware-current slackware ruby < 3.3.1 slackware-current i586
Affected pkg:slackbuild/slackware/ruby?arch=i586&distro=slackware-15.0 slackware ruby < 3.0.7 slackware-15.0 i586
# CVE Description CVSS EPSS EPSS Trend (30 days) Affected Products Weaknesses Security Advisories Exploits PoC Pubblication Date Modification Date
# CVE Description CVSS EPSS EPSS Trend (30 days) Affected Products Weaknesses Security Advisories PoC Pubblication Date Modification Date
Loading...